org.richfaces.application.configuration

## Class ConfigurationServiceHelper

- java.lang.Object
- - org.richfaces.application.configuration.ConfigurationServiceHelper

-     public final class ConfigurationServiceHelper
      extends Object

  Author:
    Nick Belaevski

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Boolean` | `getBooleanConfigurationValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
    `static Object` | `getConfigurationValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
    `static <T extends Enum<T>> T` | `getEnumConfigurationValue(javax.faces.context.FacesContext facesContext, Enum<?> key, Class<T> enumClass)`
    `static Integer` | `getIntConfigurationValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
    `static Long` | `getLongConfigurationValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`
    `static String` | `getStringConfigurationValue(javax.faces.context.FacesContext facesContext, Enum<?> key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBooleanConfigurationValue

          public static Boolean getBooleanConfigurationValue(javax.faces.context.FacesContext facesContext,
                                             Enum<?> key)

    - #### getIntConfigurationValue

          public static Integer getIntConfigurationValue(javax.faces.context.FacesContext facesContext,
                                         Enum<?> key)

    - #### getLongConfigurationValue

          public static Long getLongConfigurationValue(javax.faces.context.FacesContext facesContext,
                                       Enum<?> key)

    - #### getStringConfigurationValue

          public static String getStringConfigurationValue(javax.faces.context.FacesContext facesContext,
                                           Enum<?> key)

    - #### getConfigurationValue

          public static Object getConfigurationValue(javax.faces.context.FacesContext facesContext,
                                     Enum<?> key)

    - #### getEnumConfigurationValue

          public static <T extends Enum<T>> T getEnumConfigurationValue(javax.faces.context.FacesContext facesContext,
                                                        Enum<?> key,
                                                        Class<T> enumClass)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.